#!/usr/bin/env python

"""XmlTools setup script"""

from distutils.core import setup
import sys,os

scripts = os.listdir('bin')
def win_script_filter(file):
    return file[-4:] == '.bat'

def unix_script_filter(file):
    return not win_script_filter(file)

if sys.platform == 'win32':
    scripts = map(lambda f:os.path.join('bin',f),
                  filter(win_script_filter,
                         scripts))
else:
    scripts = map(lambda f:os.path.join('bin',f),
                  filter(unix_script_filter,
                         scripts))

if __name__ == '__main__' :
    setup(name="Pyro",
          version= "2.4",
          licence="LGPL",
          description = "Simple distributed object middleware for Python",
          author = "Irmen de Jong",
          author_email="irmen@users.sourceforge.net",
          url = "http://pyro.sourceforge.net/",
          long_description = """Pyro is an acronym for PYthon Remote Objects. It is a basic Distributed Object Technology system written entirely in Python, and for use in Python only. With this, it closely resembles Java's Remote Method Invocation (RMI). It has less similarity to CORBA - which is a system- and language independent Distributed Object Technology and has much more to offer than Pyro or RMI. But Pyro is small, simple and free!""",

          
          packages=['Pyro','Pyro.EventService'],
          scripts = scripts
          )
      
